Subject: bug#4557: Commit via vc-dir does not restore window configuration

From: martin rudalics <[email-masked]>
Date: Mon, 10 Oct 2011 20:19:05 +0200

> 1. Split your frame with C-x 3
 > 2. M-x vc-dir into a repository. I used a git repository, but I am not sure whether this is relevant.
 > 3. Commit something
 >
 > Symptom:
 >
 > The commit message buffer is shown in the windows besides the
 > vc-dir. This is ok. But after finishing the commit with C-c C-c this
 > window is closed. IMHO it should stay and show the buffer it has shown
 > previously. E.g org-mode does this very good in most circumstances.

I tried to address this issue in revision 106043.  Please have a look.

Thanks, martin